-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let os = env:OS_MANIFEST

in  { config =
        Genode.Init::{
        , verbose = True
        , children =
            toMap
              { test-signal =
                  Genode.Init.Start::{
                  , binary = "test-signal"
                  , resources = { caps = 500, ram = Genode.units.MiB 10 }
                  , routes = [ Genode.ServiceRoute.parent "Timer" ]
                  }
              }
        }
    , rom = [ os.bin.test-signal ]
    }
